# Class ChannelListItem | EchoHub Documentation

# Class ChannelListItem

Namespace
  EchoHub.Core.Contracts

Assembly
  EchoHub.Core.dll

    public record ChannelListItem : IEquatable<ChannelListItem>

Inheritance
  object
  ChannelListItem

Implements
  IEquatable<ChannelListItem>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### ChannelListItem(ChannelListItem)

    protected ChannelListItem(ChannelListItem original)

#### Parameters

`original` ChannelListItem

### ChannelListItem(string, string?, int)

    public ChannelListItem(string Name, string? Topic, int OnlineCount)

#### Parameters

`Name` string
`Topic` string
`OnlineCount` int

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Name

    public string Name { get; init; }

#### Property Value

string

### OnlineCount

    public int OnlineCount { get; init; }

#### Property Value

int

### Topic

    public string? Topic { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string, out string?, out int)

    public void Deconstruct(out string Name, out string? Topic, out int OnlineCount)

#### Parameters

`Name` string
`Topic` string
`OnlineCount` int

### Equals(ChannelListItem?)

    public virtual bool Equals(ChannelListItem? other)

#### Parameters

`other` ChannelListItem

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(ChannelListItem?, ChannelListItem?)

    public static bool operator ==(ChannelListItem? left, ChannelListItem? right)

#### Parameters

`left` ChannelListItem
`right` ChannelListItem

#### Returns

bool

### operator !=(ChannelListItem?, ChannelListItem?)

    public static bool operator !=(ChannelListItem? left, ChannelListItem? right)

#### Parameters

`left` ChannelListItem
`right` ChannelListItem

#### Returns

bool